### Method

# Clutter PaintContext get_frame

#### Declaration [src]

    ClutterFrame*
    clutter_paint_context_get_frame (
      ClutterPaintContext* paint_context
    )

#### Description [src]

Retrieves the `ClutterFrame` assigned to `paint_context`, if any. A frame is only assigned when the paint context is created as part of a frame scheduled by the frame clock, and won’t be assigned e.g. on offscreen paints.

This method is not directly available to language bindings.

#### Return value

Type: `ClutterFrame`

The `ClutterFrame` associated with the `paint_context`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.